#include "alloy.hpp"

SampleAlloyMaterial::SampleAlloyMaterial(const Material::Composition& Comp): Al(Comp.find("Al")->second) {}

plask::Material::Composition SampleAlloyMaterial::composition() const { return {{"Al", Al}, {"Ga", 1. - Al}, {"As", 1}}; }

std::string SampleAlloyMaterial::str() const { return StringBuilder("Al", Al)("Ga")("As")("_sample"); }

bool SampleAlloyMaterial::isEqual(const Material& other) const {
    const SampleAlloyMaterial& o = static_cast<const SampleAlloyMaterial&>(other);
    return o.Al == this->Al;
}

plask::dcomplex SampleAlloyMaterial::Nr(double lam, double T, double n) const {
    return plask::dcomplex(3.0 + 1e-3 * lam, 0.1 * Al);
}

static plask::MaterialsDB::Register<SampleAlloyMaterial> registerSampleAlloyMaterial;
