#include "doped.hpp"

#include <plask/material/db.hpp>

SampleDopedMaterial::SampleDopedMaterial(double Si) : Si(Si) {}

std::string SampleDopedMaterial::str() const { return StringBuilder("Doped").dopant("Si", Si); }

bool SampleDopedMaterial::isEqual(const Material& other) const {
    const SampleDopedMaterial& o = static_cast<const SampleDopedMaterial&>(other);
    return o.Si == this->Si;
}

plask::Tensor2<double> SampleDopedMaterial::cond(double T) const {
    return (plask::Tensor2<double>(1.0, 1e-18 * Si));
}

static plask::MaterialsDB::Register<SampleDopedMaterial> registerSampleDopedMaterial;
